#include <stdlib.h>
#include <stdio.h>
#include <SDL.h>
#include <SDL_ttf.h>
#include "global.h"


int init_modules()
{/*initialisation des modules***VALIDE***/

    int retour=FUNC_OK;/*retour de la fonction*/

    if (SDL_Init(SDL_INIT_VIDEO | SDL_INIT_JOYSTICK)<0)
    {/*initialisation de la SDL*/
        fprintf(stderr,"Err initialisation SDL impossible : %s\n",SDL_GetError());
        retour=FATAL_ERR;
    }


    if (!retour && TTF_Init()<0)
    {/*initialisation de ttf*/
        fprintf(stderr,"Err initialisation TTF impossible : %s\n",TTF_GetError());
        retour=FATAL_ERR;
        SDL_Quit();
    }

    if (retour==FUNC_OK)
        printf("Tous les modules se sont initaliss correctement.\n");

    return(retour);
}


void quit_modules()
{/*fermeture des modules***VALIDE***/
    TTF_Quit();
    SDL_Quit();

    printf("Tous les modules ont t ferms.\n");
}
