#ifndef INPUTS_H_INCLUDED
#define INPUTS_H_INCLUDED

#include "global.h"

typedef struct S_Pad
{/**structure pad**/
    Uint8 padHat;/*le chapeau*/
    BOOL padBT[15];/*les boutons*/
    Sint16 stickPos[2];/*le stick ana [valeur X][valeur Y]*/
    Sint16 plageMorte;/*plage morte du pad*/
}
S_Pad;


typedef struct S_Mouse
{/**structure souris**/

    BOOL mseBt[10];/*boutons de la souris*/
    Uint16 msePos[2];/*position [X][Y] actuelle de la souris*/
}
S_Mouse;


typedef struct S_Input
{/**structure des entres**/

    BOOL key[SDLK_LAST];/*touches clavier*/
    int nbPad;/*nombre de pad*/
    S_Pad Spad[2]; /*les pads*/
    S_Mouse Smouse;/*la souris*/
    BOOL quit;/*croix quitter*/
}
S_Input;

void get_inputs(S_Input *Sinput);

void init_inputs(S_Input* Sinput);

int mouse_box(S_Input *Sinput, SDL_Rect* boites,int nombre);

#endif /* INPUTS_H_INCLUDED*/
